<?php
// $Horde: vacation/templates/main/main.inc,v 1.12.2.5 2003/05/09 21:51:54 chuck Exp $ 

include_once VACATION_BASE . '/templates/menu/menu.inc';

$hordePassword = Auth::getCredential('password');
if ($ismessage = $driver->isEnabled($user, $realm, $hordePassword)) {
    $current_message = $driver->currentMessage($user, $realm, $hordePassword);
} else {
    $current_message = '';
}
$is_forwardavail = $driver->forwardAvail($user, $realm, $hordePassword);

?>

<table class="light">
<tr>
<td>
  <div class="header">
  <?php echo _("Change Vacation Notices") ?>
  </div>
  <div class="light">
  <?php echo _("A vacation notice will automatically reply to any incoming mail you receive while you are away or unable to attend to your e-mail -- for example while on vacation or out of town on business.") ?> &nbsp;
  <?php echo _("It could be used as a courtesy to let others know why you are not answering their e-mail to you.") ?> &nbsp;
  <?php echo _("This form lets you install or remove a vacation notice for your e-mail account.  You should edit the default message to meet your needs.") ?>
  </div>
  <br />
  <form class="light" method="post" action="<?php echo Horde::applicationUrl('main.php') ?>" name="vacation">
  <?php echo Horde::formInput() ?>

  <input type="radio" name="mode" value="set" checked="checked">
  <?php echo _("Set/install vacation notice") ?>
  <br />

  <input type="radio" name="mode" value="unset">
  <?php echo _("Unset/remove vacation notice") ?>

  <div>
  <br />
  <?php echo _("Message:") ?>
  <br />

  <textarea name="mess" rows="8" cols="70">
<?php
if ($ismessage) {
    echo $current_message;
}
else {
    echo "Subject: " . _("On vacation message");
    echo _("I'm on vacation and will not be reading my mail for a while.");
    echo _("Your mail will be dealt with when I return.");
}
?>
</textarea>
  </div>

<div>
<br />
<?php 
if ($is_forwardavail) {
  echo ("Alias address to also forward (optional): ");
?>
<br />
<input name="alias" type="text" size="70">
<?php echo ($conf['user']['online_help'] && $browser->hasFeature('javascript'))
? Help::link('vacation', 'vacation-alias') : '&nbsp;' ?>
<?php } ?>
<br />
</div>

<div class="light">
<br />
<?php if (!$driver->getParam('hordeauth', $realm)): ?>
<?php echo _("For your protection and safety, you must identify yourself with your login password to verify this change.") ?> &nbsp;
<?php echo _("Then submit the form so that your vacation notice can be updated.") ?>
<br />
<br />
<?php echo _("Your password:") ?>&nbsp;
<input type="password" name="oldpassword" size="12" maxlength="32" />&nbsp;

<?php endif; ?>
<input class="button" type="submit" name="submit" value="<?php echo _("Submit") ?>" onclick="return submit_form();" />
</div>
</form>
</td>
</tr>
</table>
